#define SDL_ALL_HOTKEYS  0xFFFFFFFF

#define SDL_DEFAULT_REPEAT_DELAY 500
#define SDL_DEFAULT_REPEAT_INTERVAL 30

typedef struct SDL_keysym {
    Uint8 scancode;   /* hardware specific scancode */
    SDLKey sym;   /* SDL virtual keysym */
    SDLMod mod;   /* current key modifiers */
    Uint16 unicode;   /* translated character */
} SDL_keysym;

/* ------ */
extern int SDL_EnableUNICODE(int enable);

extern int SDL_EnableKeyRepeat(int delay, int interval);
extern void SDL_GetKeyRepeat(int *delay, int *interval);
extern Uint8 * SDL_GetKeyState(int *numkeys);
extern SDLMod SDL_GetModState(void);
extern void SDL_SetModState(SDLMod modstate);
extern char * SDL_GetKeyName(SDLKey key);
