/***************************************
 Description : SDL SWIG Interface 
 File : tclsdl.i 
 Author: inhak.min@gmail.com
**************************************/
%module tclsdl

%{
#include "SDL.h"
#include "SDL_mixer.h"
#include "SDL_image.h"
#include "SDL_ttf.h"

#undef SWIG_name
#define SWIG_name "tclsdl"
#undef SWIG_version
#define SWIG_version "0.1"
%}


%typemap(in) Integer, Number, int32_t, Sint32 = int;
%typemap(in) Integer, Number, uint32_t, Uint32 = unsigned int;
%typemap(in) Integer, Number, int16_t, Sint16 = short;
%typemap(in) Integer, Number, uint16_t, Uint16 = unsigned short;
%typemap(in) Integer, Number, int8_t, Sint8 = char;
%typemap(in) Integer, Number, uint8_t, Uint8 = unsigned char;
%typemap(out) Integer, Number, int32_t, Sint32 = int;
%typemap(out) Integer, Number, uint32_t, Uint32 = unsigned int;
%typemap(out) Integer, Number, int16_t, Sint16 = short;
%typemap(out) Integer, Number, uint16_t, Uint16 = unsigned short;
%typemap(out) Integer, Number, int8_t, Sint8 = char;
%typemap(out) Integer, Number, uint8_t, Uint8 = unsigned char;


%include "sdl_general.i"
%include "sdl.i"
%include "sdl_active.i"
%include "sdl_audio.i"
%include "sdl_cdrom.i"
%include "sdl_cpuinfo.i"
%include "sdl_error.i"
%include "sdl_events.i"
%include "sdl_keyboard.i"
%include "sdl_keysym.i"
%include "sdl_mixer.i"
%include "sdl_mouse.i"
%include "sdl_timer.i"
%include "sdl_video.i"
%include "sdl_version.i"
%include "sdl_wm.i"
%include "sdl_rwops.i"
%include "sdl_loadso.i"

%include "sdl_image.i"
%include "sdl_ttf.i"
